{
    attributes = (
        {
            columnName = "D_CREATION"; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {allowsNull = N; columnName = "ID_PESI"; name = idPesi; prototypeName = id; }, 
        {
            columnName = "ID_PRE_ETUDIANT"; 
            name = idPreEtudiant; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "ID_STATUT_INSCRIPTION"; 
            name = idStatutInscription; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = MOTIF; 
            name = motif; 
            valueClassName = NSString; 
            width = 255; 
        }, 
        {
            columnName = "PERS_ID_CREATION"; 
            name = persIdCreation; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (idPesi); 
    className = "org.cocktail.fwkcktlprescolarite.common.metier.EOPreEtudiantStatutInscription"; 
    classProperties = (dCreation, motif, persIdCreation, toPreEtudiant, toStatutInscription); 
    externalName = "SCO_PRE_SCOLARITE.PRE_ETUDIANT_STATUT_INSC"; 
    fetchSpecificationDictionary = {}; 
    name = EOPreEtudiantStatutInscription; 
    primaryKeyAttributes = (idPesi); 
    relationships = (
        {
            destination = EOPreEtudiant; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = idPreEtudiant; sourceAttribute = idPreEtudiant; }); 
            name = toPreEtudiant; 
        }, 
        {
            destination = "Sco_StatutInscription"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = (
                {
                    destinationAttribute = idStatutInscription; 
                    sourceAttribute = idStatutInscription; 
                }
            ); 
            name = toStatutInscription; 
        }
    ); 
}
